# Class SymmetryDesc

java.lang.Object
org.jmol.symmetry.SymmetryDesc

public class SymmetryDesc extends Object
A class to handle requests for information about space groups and symmetry operations. Two entry points, both from Symmetry: getSymopInfo getSpaceGroupInfo

## Constructor Summary

Constructors
Constructor
Description
`SymmetryDesc()`

## Method Summary

Modifier and Type
Method
Description
`M4`
`getTransform(UnitCell uc, SymmetryOperation[] ops, P3 fracA, P3 fracB, boolean best)`
`SymmetryDesc`
`set(ModelSet modelSet)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SymmetryDesc

public SymmetryDesc()

## Method Details

### set

public SymmetryDesc set(ModelSet modelSet)

### getTransform

public M4 getTransform(UnitCell uc, SymmetryOperation[] ops, P3 fracA, P3 fracB, boolean best)